Paramètres de la boîte aux lettres
/v1/mailboxes/{mailbox_id}Utilisez /v1 pour modifier name, password et signature. Modifiez le quota commun quota_mb dans le panneau de votre hébergeur. Les fichiers n’ont pas de quota séparé. Idempotency-Key est facultatif, mais recommandé pour les nouvelles tentatives.
Zones d’autorisation et d’accès · Erreurs et répétitions
Demande
curl -X PATCH 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>' \ -H 'Authorization: Bearer <access_token>' \ -H 'Idempotency-Key: message-20261019-0001' \ -H 'Content-Type: application/json' \ --data '{"name":"Support","signature":"Support team"}'Possibilités
mailbox_idpathNécessairementintegerX-Customer-IDheader- Option 1
stringOption 2null Idempotency-KeyheaderstringminLength: 8maxLength: 128
Corps de la demande · application/json
object
name- Option 1
stringminLength: 1maxLength: 120Option 2null quota_mb- Option 1
integerminimum: 10240Option 2null file_quota_mb- Option 1
integerminimum: 256maximum: 512000Option 2null password- Option 1
stringminLength: 12maxLength: 128Option 2null signature- Option 1
stringmaxLength: 5000Option 2null
Les champs inconnus ne sont pas acceptés.
Réponses
202 Réponse réussie
application/json
object
idstring · uuidID d'opération pour vérifier le statut et annuler une soumission en attente.
kindstringmailbox_id- Option 1
integerOption 2null statusstringValeurs valides:
"queued""running""succeeded""failed""uncertain""cancelled"run_atstringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
created_atstringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
completed_at- Option 1
stringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
Option 2null errorLa raison de l'erreur si l'opération n'a pas abouti.
Option 1stringOption 2nullresultLe résultat de l'opération. Pour l'envoi, contient des informations sur les destinataires acceptés et rejetés.
Option 1objectOption 2null
400 En-tête ou identifiant invalide
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
401 Connexion requise
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
403 Pas d'accès
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
404 Ressource introuvable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
409 Conflit d'État
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
422 Erreur de validation
application/json
object
detailarrayÉléments du tableauobjectlocNécessairementarrayÉléments du tableauOption 1stringOption 2integermsgNécessairementstringtypeNécessairementstring
503 Indisponibilité temporaire
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject